import { ChangeDetectorRef, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { Router } from '@angular/router';
import { AuthenticationService, InteractionService, UsersService } from 'interfaceft-icb-lib-services';
import { NgxSpinnerService } from 'ngx-spinner';
import * as i0 from "@angular/core";
export declare class ProfileDashboardComponent implements OnInit {
    private cdr;
    dialog: MatDialog;
    private userService;
    private spinner;
    private interactionservice;
    private authservice;
    private router;
    bannerBg: string;
    institution: any;
    profile: string;
    ID: any;
    userDetails: any;
    currentuser: any;
    loginDays: any[];
    routeUrl: string;
    constructor(cdr: ChangeDetectorRef, dialog: MatDialog, userService: UsersService, spinner: NgxSpinnerService, interactionservice: InteractionService, authservice: AuthenticationService, router: Router);
    ngOnInit(): void;
    getRoute(): void;
    fetchUserDetails(): void;
    formatlogindays(userDetails: any): void;
    getimage(): void;
    trackByMethod(index: number, el: any): number;
    editUser(): void;
    forgetPassword(): void;
    initializePasswordReset(): void;
    forgetPIN(): void;
    initializePinReset(): void;
    deactivateUser(): void;
    initializeDeactivation(): void;
    activateUser(): void;
    initializeActivation(): void;
    alertWithSuccess(title: any, message: any): void;
    alertWithError(title: any, message: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProfileDashboardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProfileDashboardComponent, "authdashboard-profile-dashboard", never, {}, {}, never, never>;
}
